.modal {
  &_background {
    background-color: rgba(0, 0, 0, 0.8);
    width: 100vw;
    height: 100vh;
    position: fixed;
    left: 0;
    top: 0;
  }
  &_component {
    background-color: red;
    display: flex;
    flex-direction: column;
    & > :first-child {
      padding: 15px;
      display: flex;
      align-items: center;
      justify-content: space-between;
      color: white;
    }
  }
  &_close {
    background-image: url("../../images/icon-close.png");
    width: 15px;
    height: 15px;
    background-size: cover;
    cursor: pointer;
  }
  &_text {
    text-align: center;
    padding: 25px;
    color: white;
  }
  &_buttons {
    display: flex;
    justify-content: center;
    & > button {
      margin-right: 20px;
      width: 120px;
      height: 40px;
      color: white;
      background-color: rgba(0, 0, 0, 0.2);
      border: 1px solid black;
      border-radius: 4px;
      margin-bottom: 15px;
      cursor: pointer;
    }
  }
}
